#!/bin/bash

DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd ${DIR}/src

touch ../compile.sh
find . | xargs touch -r ../compile.sh

cd libevent && ./configure --disable-shared --disable-openssl --disable-debug-mode --disable-dependency-tracking -q && make -j8 -s && cd .. && cd folly/folly && LD_FLAGS="-L../../libevent/.libs" CPPFLAGS="-I../../libevent/include -D_NO_FOLLY_ASSERT" ./configure --disable-shared --disable-dependency-tracking -q && make -j8 -s && cd ../.. && CPPFLAGS="-D_NO_FOLLY_ASSERT" make
